<?xml version="1.0" encoding="UTF-8"?>
<chapter version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:db="http://docbook.org/ns/docbook" xml:lang="en" xml:id="jonas_4.7"><info><title>Migrating from JOnAS 4.6 to JOnAS 4.7</title></info>
  
  <para>Applications developed for JOnAS 4.6.x do not require changes; The
      main changes occur within the JOnAS configuration files. Therefore, it
      is recommended that customizations be reported in the new JOnAS 4.7.x
      configuration files, especially for those mentioned below.
  </para>
      <section><info><title>Configuration changes</title></info>
        

        <para>The most visible configuration changes are the following:</para>

        <orderedlist>
          <listitem>
            <para>A new JORAM configuration file for defining the JMS objects.
            This file, named j<filename>oramAdmin.xml</filename>, replaces
            <filename>joram-admin.cfg</filename>. The new format allows
            clustered JMS destinations, DMQ, and other information to be
            defined. See in <link xlink:href="???">Configuring JMS Resource Adapters
            </link>for a full description.</para>
          </listitem>

          <listitem>
            <para>A new configuration file for the domain management. This
            file, named <filename>domain.xml</filename>, enables definition of
            the domain without need of the discovery service. Additionally,
            the JOnAS instances are visible from jonasAdmin console even when
            they are stopped. See <link xlink:href="Domain.html#Domain">here
            </link>for a full description.</para>
          </listitem>

          <listitem>
            <para>A new CMI configuration file for specifying the JGroups's
            configuration stack. This file, named
            <filename>jgroups-cmi.xml</filename>, can be customized to fit
            with the network environnement being used. See <link xlink:href="Cmi.html">here</link> for a full description.</para>
          </listitem>
        </orderedlist>

        <para/>
      </section>

      <section><info><title>Updating $JONAS_BASE</title></info>
        

        <para>If starting from an existing JONAS_BASE, it must be updated in
        order to upgrade to the latest ear/war/jar/rar files provided (e.g.
        new versions of the JORAM or JDBC rars).</para>

        <screen>cd $JONAS_ROOT
ant update_jonasbase</screen>
      </section>

      <section><info><title>JORAM 4.3.0</title></info>
        

        <para>JOnAS 4.4.1 integrates the new JORAM 4.3.0 which
        contains:</para>

        <itemizedlist>
          <listitem>
            <para>performance optimizations</para>
          </listitem>

          <listitem>
            <para>new feature: SSL for client-server communications</para>
          </listitem>

          <listitem>
            <para>new feature of SoftReference Messages allowing swap out:
            ability to send large messages, destinations can store more and
            more messages, the messages are not held in memory.</para>
          </listitem>
        </itemizedlist>

        <para>The last implementation required changes to the message
        persistance module. Therefore, JORAM's stored messages from previous
        versions are not compliant with this new version; the JORAM
        persistance directory (s0 by default) must be deleted before the
        migration.</para>
      </section>

      <section><info><title>Domain management restrictions</title></info>
        

        <para>Due to evolutions in the discovery protocol, mixing 4.6 and 4.7
        JOnAS servers within a management domain is not allowed. To take
        advantage of the new domain and cluster management features, all the
        servers that were started in a same domain with the discovery service
        activated and using the same multicast address for discovery, must be
        JOnAS 4.7 version servers.</para>
      </section>
</chapter>